Package org.kapott.hbci.security.factory

## Class SigFactory

- java.lang.Object
- - org.kapott.hbci.tools.ObjectFactory
  - - org.kapott.hbci.security.factory.SigFactory

    public class SigFactory
    extends ObjectFactory

### Field Summary

### Fields inherited from class org.kapott.hbci.tools.ObjectFactory

`currentPoolSize, freeObjects, usedObjects`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Sig` `createSig​(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`
`static SigFactory` `getInstance()`
`void` `unuseObject​(java.lang.Object o)`

### Methods inherited from class org.kapott.hbci.tools.ObjectFactory

`addToFreePool, addToUsedPool, getFreeObject, getFreeObjects, getUsedObjects, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static SigFactory getInstance()

#### createSig

    public Sig createSig​(IHandlerData handlerdata,
                         MSG msg,
                         HBCIPassportList passports)

#### unuseObject

    public void unuseObject​(java.lang.Object o)

Overrides:
  `unuseObject` in class `ObjectFactory`